let commonApiFun = function(vm){
	let loginWechatAuth		 = async (params = {}) => await vm.$u.post('/wxh-support-rest/rest/ssoinfo/wxapp/unify/authorization', params, {'content-type': 'application/x-www-form-urlencoded'});
	// 水印-查询用户自定义设置
	let getUserWatermark     = async (params = {}) => await vm.$u.post('http://apidoc.banshouhui.com:3000/mock/89/getUserWatermark', params);
	// 水印-保存用户自定义设置
	let saveUserWatermark    = async (params = {}) => await vm.$u.post('http://apidoc.banshouhui.com:3000/mock/89/saveUserWatermark', params);
	// 保存图片
	let saveImage    		 = async (params = {}) => await vm.$u.post('http://apidoc.banshouhui.com:3000/mock/89/saveImage', params);
	
	const commonApi = {
		loginWechatAuth,
		getUserWatermark,
		saveUserWatermark,
		saveImage
	}
	return commonApi
}
module.exports =  {
	commonApiFun
}